[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMenuItem.HasParent

Indicates if the menu item has a parent menu item.

## Declaration

Source position: menus.pp line 272

`public function TMenuItem.HasParent: Boolean; override;`

## Function result

True when a Parent menu item has been assigned for the menu item.

## Description

Returns True if the menu item has a parent responsible for streaming. Overridden to check for an assigned value in the Parent property. Does not call the inherited method.

## See also

TComponent.HasParent